Subject: Re: linux-next: build failure after merge of the scsi tree

From: Brian King <[email-masked]>
Date: Fri, 26 Sep 2014 07:43:13 -0500

On 09/26/2014 04:57 AM, James Bottomley wrote:
> On Fri, 2014-09-26 at 10:36 +0200, Christoph Hellwig wrote:
>> On Fri, Sep 26, 2014 at 06:34:50PM +1000, Stephen Rothwell wrote:
>>> Hi James,
>>>
>>> After merging the scsi tree, today's linux-next build (powerpc
>>> ppc64_defconfig) failed like this:
>>>
>>> drivers/scsi/ipr.c: In function 'ipr_handle_log_data':
>>> drivers/scsi/ipr.c:2468:15: error: 'IPR_IOASC_HW_CMD_FAILED' undeclared (first use in this function)
>>>   if (ioasc == IPR_IOASC_HW_CMD_FAILED &&
>>>                ^
>>>
>>> Caused by commit 3185ea63907c ("ipr: don't log error messages when
>>> applications issues illegal requests").  Someone typoed that name in
>>> ipr.h ...
>>>
>>> I have reverted that commit for today.
>>
>> Thanks.  The fix should be here:
>>
>> http://git.infradead.org/users/hch/scsi-queue.git/commitdiff/d247a70a4d67623eb738176ee703a7bb8b6c325c
> 
> OK, Pushed out.
> 
> I'll wait for the next couple of build cycles before pushing (assuming
> merge window opens on Sunday) just in case more things show up.

Hi James,

Anything preventing this patch set from getting picked up? Do you need a resend?

http://marc.info/?l=linux-scsi&m=140657929221696&w=2

Thanks,

Brian

-- 
Brian King
Power Linux I/O
IBM Linux Technology Center